%define	name	knemo
%define	version	0.7.7
%define	release	%mkrel 1
%define	Summary	The KDE Network Monitor

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}

License:	GPL
Group:		Graphical desktop/KDE4
Source0:	12956-%{name}-%{version}.tar.xz
URL:		http://kde-apps.org/content/show.php?content=12956
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs4-devel
BuildRequires:	kde-workspace-devel
BuildRequires:  libiw-devel
Requires:	wireless-tools
Obsoletes:	%{name} < %version


%description
KNemo offers a network monitor similar to the one found in Windows. 
For every network interface it displays an icon in the systray.

Features:
* support for ethernet (including wireless) and ppp connections
* the icon shows incoming/outgoing traffic
* hiding of icon when the interface is not available
* automatic detection of wireless extensions for ethernet interfaces
* left-clicking on an icon displays a status dialog with information
  about the selected interface (2nd click hides dialog)
* configuration via context menu or control center module
  (Internet & Network/Network Monitor)
* customizable tooltip for quick access to often needed information
* you can activate 2 custom entries for the context menu. They can 
  have custom text and a command to run when selected. You can even 
  select if the commands need root permissions or not.
* automatic detection of available interfaces (click on 'Default' in 
  the configuration dialog and KNemo will look under /proc/net/dev for
  interfaces)
* KNemo uses more standard icon names which allows support from other
  icon themes.

Please make sure that in the settings the paths for 'ifconfig' and 'iwconfig'
are correct and that both programs are installed.

IMPORTANT: KNemo is not an executable but an KDED service. Therefore 
it has to be started using Control Center/KDE Components/Service Manager. 

%description -l de
Knemo bietet ein Netzwerk-Monitor ähnlich der in Windows gefunden.
Für jede Netzwerk-Schnittstelle zeigt es ein Icon im Systray. 


%files 
%defattr(-,root,root)
%_kde_bindir/knemo
%_kde_libdir/kde4/kcm_knemo.so
%_kde_datadir/applications/kde4/knemo.desktop
%_kde_appsdir/knemo
%_kde_datadir/autostart/knemo.desktop
%_kde_iconsdir/hicolor/*/apps/*
%_kde_iconsdir/hicolor/*/status/*
%_kde_datadir/kde4/services/kcm_knemo.desktop
%_kde_datadir/locale/*/LC_MESSAGES/*.mo
%_kde_datadir/apps/kconf_update/knemo-0.5.1-iconsets.pl
%_kde_datadir/apps/kconf_update/knemo-0.5.2-misc.pl
%_kde_datadir/apps/kconf_update/knemo-0.6.1-misc.pl
%_kde_datadir/apps/kconf_update/knemo-0.6.3-misc.pl
%_kde_datadir/apps/kconf_update/knemo-0.7.0-misc.pl
%_kde_datadir/apps/kconf_update/knemo.upd

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name} %{name} kcm_knemo knemod

%clean
rm -rf %{buildroot}


%changelog
* Thu Aug 20 2015 bb <bb. 0.7.7-1pclos2015
- update
